server {
    listen 80;
    listen [::]:80;
    server_name {{ $domain }} @if ($redirect_www) www.{{ $domain }} @endif;
    return 301 http://{{ $domain }}$request_uri;
}

server {
    listen 80;
    listen [::]:80;

    @include('partials.default', ['domain' => $domain])

    @section('server')
    @show
}